Bug 19691 - phonon defaults to Pulse backend even if PulseAudio is disabled
Summary: phonon defaults to Pulse backend even if PulseAudio is disabled
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal major
Target Milestone: Mageia 6
Assignee: KDE maintainers
QA Contact:
URL:
Whiteboard:
Keywords: FOR_ERRATA6
Depends on:
Blocks: 17523
  Show dependency treegraph
 
Reported: 2016-11-01 18:06 CET by David Walser
Modified: 2017-08-05 17:31 CEST (History)
2 users (show)

See Also:
Source RPM: phonon-4.9.0-2.mga6.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2016-11-01 18:06:38 CET
Upgrade from Mageia 5 where phonon was already set to use the default (ALSA) backend and PulseAudio was disabled.

PulseAudio is still disabled, but trying to play something in Amarok didn't work.  Trying to go through Amarok's configuration (Playback) to access Phonon configuration results in Amarok freezing.

Phonon configuration can be accessed through systemsettings (though it's slow to start) and backend setting fixed.

Previous Mageia versions handled this correctly IIRC.
Comment 1 David Walser 2016-11-01 18:07:16 CET
Once the configuration was fixed and I logged out and back in, Amarok was set to 0% volume, so I had to change that to 100% to hear it playing anything.

Blocks: (none) => 17523

Comment 2 David Walser 2016-11-01 18:18:36 CET
Amarok seems to reset itself to 0% at every log in.  Not sure if this is Amarok or Phonon's fault.
David Walser 2017-01-15 19:02:39 CET

Priority: Normal => release_blocker

Comment 3 Nicolas Lécureuil 2017-03-05 21:56:19 CET
is the sound to 0% only in amarok ? or in plasma-pa too ?

CC: (none) => mageia

Comment 4 Samuel Verschelde 2017-03-06 16:04:35 CET
As I just told on the dev@ mailing list, I'm moving this bug report to the "Intended for Mageia 6" list because it does not strictly qualify for Release Blocker.

Target Milestone: --- => Mageia 6
Severity: normal => major
Priority: release_blocker => High

Comment 5 David Walser 2017-03-07 03:08:57 CET
Setting back to release blocker, as this may not be totally fixable after release.  Once a user has logged into Plasma once, the setting may persist in their profile.  It's also at that point not going to be obvious how to fix it, especially given the difficulty of accessing the setting.

Priority: High => release_blocker

Comment 6 Rémi Verschelde 2017-04-04 10:01:40 CEST
(In reply to Nicolas Lécureuil from comment #3)
> is the sound to 0% only in amarok ? or in plasma-pa too ?

Ping.

If that 0% sound only affects Amarok, it would be better to keep it out of the scope of this issue (maybe open a new one). This issue should focus only on preserving the Phonon backend configured in KDE4 when upgrading to Plasma 5.

Whiteboard: (none) => NEEDINFO

Comment 7 Rémi Verschelde 2017-04-26 11:31:07 CEST
(In reply to Rémi Verschelde from comment #6)
> If that 0% sound only affects Amarok, it would be better to keep it out of
> the scope of this issue (maybe open a new one). This issue should focus only
> on preserving the Phonon backend configured in KDE4 when upgrading to Plasma
> 5.

David, can you confirm if it only affects Amarok or also other applications?
Comment 8 David Walser 2017-04-26 11:33:07 CEST
I need to do a fresh test, hopefully this weekend, but the incorrect phonon setting is a global thing.

Whiteboard: NEEDINFO => (none)

Comment 9 Nicolas Lécureuil 2017-05-14 08:59:23 CEST
can you report this upstream please ?
Comment 10 Marja van Waes 2017-06-20 21:54:37 CEST
Changing from release blocker to a "for errata" bug, see the council meeting logs.

@ David Walser

Do you mind adding it to the errata, or proposing a text for the errata here?

CC: (none) => marja11
Keywords: (none) => FOR_ERRATA6
Priority: release_blocker => Normal

Comment 11 David Walser 2017-06-26 01:05:51 CEST
Report what upstream?  Our own tools set the sound configuration and pulse vs. no-pulse.  They should be fixing this so that KDE/Phonon doesn't default to Pulse when it has been disabled.

I suppose the part where the Configure Phonon button in Amarok essentially doesn't work could be reported to their developers.

This is a pretty serious issue, and it shouldn't matter that Pulse disabled isn't our "default," it's a supported and very common configuration.  Isn't there anything that can be done about this issue?

As far as an errata text, it would read something like this:
"Users that have PulseAudio disabled will need to correct a misconfiguration in Phonon's audio settings.  The setting can be accessed through System Settings > Multimedia > Audio and Video.  Under Audio Playback, Default should be moved to the top of the Audio Playback Device Preference list for each category."

Speaking of which, it's not intuitive how to even do that, as there's no up/down buttons.  Apparently you have to drag it up (which took a few tries for it to work).  I also just noticed that you have to fix it for each of six (!) different categories.  That also confirms that this affects a LOT more than just Amarok.
Comment 12 Nicolas Lécureuil 2017-08-05 17:28:13 CEST
Please test new PA ( pushed in both mga6 and cauldron ).

It fixes https://bugs.kde.org/show_bug.cgi?id=324975
Comment 13 David Walser 2017-08-05 17:31:33 CEST
(In reply to Nicolas Lécureuil from comment #12)
> Please test new PA ( pushed in both mga6 and cauldron ).
> 
> It fixes https://bugs.kde.org/show_bug.cgi?id=324975

OK, but we'll need a new Mageia bug report if we're going to do anything with this.  The main issue in this bug was the Phonon configuration being incorrect, which was the only serious issue in Mageia 6 I was aware of when we released.  It still needs to be fixed if possible.

Also, I'm not sure the 0% volume I reported earlier in this bug had anything to do with PulseAudio, as it sounds like I saw that *after* disabling it in the Phonon configuration.

Note You need to log in before you can comment on or make changes to this bug.